<?php
require_once('C:/xampp/htdocs/EDITAR_PDF/TCPDF-main/FPDI-master/src/autoload.php');

// Obtener datos del formulario
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : '';
$contenido = isset($_POST['contenido']) ? $_POST['contenido'] : '';

// Ruta al archivo PDF existente que quieres editar
$archivoPdfExistente = 'C:\\Users\\Claudio\\Desktop\\FICHAS\\PDF\\Ficha arrendatario Cristian Saavedra.pdf';

// Instanciar la clase FPDI
$pdf = new setasign\Fpdi\Fpdi();

// Añadir una página en blanco al documento
$pdf->AddPage();

// Importar una página del archivo PDF existente
$pdf->setSourceFile($archivoPdfExistente);
$tplIdx = $pdf->importPage(1);

// Usar la página importada como plantilla
$pdf->useTemplate($tplIdx);

// Agregar texto al documento utilizando datos del formulario
$pdf->SetFont('Arial', 'B', 12);
$pdf->SetTextColor(0, 0, 0);
$pdf->SetXY(50, 50); // Establecer la posición del texto en la página
$pdf->Cell(0, 10, 'Nombre: ' . $nombre, 0, 1, 'C');
$pdf->SetXY(50, 70);
$pdf->Cell(0, 10, 'Contenido: ' . $contenido, 0, 1, 'C');

// Salvar el archivo PDF resultante
$rutaSalida = 'C:\\Users\\Claudio\\Desktop\\FICHAS\\PDF\\Nuevo archivo.pdf';
$pdf->Output($rutaSalida, 'F');

// Mensaje de éxito
echo 'PDF editado exitosamente. Nuevo archivo guardado en: ' . $rutaSalida;
?>
